petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexInterpolate

Take in a cell-vertex mesh and return one with all intermediate faces, edges, etc.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInterpolate(DM dm, DM *dmInt)

Collective on dm

### Input Parameters

| dm | - The DMPlex object with only cells and vertices
| dmInt | - The interpolated DM

### Output Parameter

dmInt -The complete DMPlex object

### Notes

It does not copy over the coordinates.

### See Also

DMPlexUninterpolate(), DMPlexCreateFromCellList(), DMPlexCopyCoordinates()

### Level

intermediate

### Location

src/dm/impls/plex/plexinterpolate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages